/*!
 * Built by ShiftSoftware
 * Copyright (c)
 */
'use strict';

var index = require('./index-CmK48vN3.js');
var cn = require('./cn-BHnqYtun.js');

const VehicleInfoLayout = (props, children) => props.coreOnly ? (index.h("div", { class: cn.cn({ loading: props.isLoading }) }, children)) : (index.h("div", { dir: props.direction, part: "vehicle-info-container", class: cn.cn('vehicle-info-container', { loading: props.isLoading }) },
    index.h("div", { part: "vehicle-info-header", class: "vehicle-info-header" },
        index.h("strong", { part: "vehicle-info-header-vin", class: "vehicle-info-header-vin load-animation" }, props.isError ? (index.h("span", { dir: props.direction, style: { color: 'red' } }, props.errorMessage)) : (props.header)),
        props.headerRight && index.h("div", { class: "vehicle-info-header-action" }, props.headerRight)),
    index.h("div", { part: "vehicle-info-body", class: "vehicle-info-body" },
        index.h("div", { part: "vehicle-info-content", class: "vehicle-info-content" }, children))));

exports.VehicleInfoLayout = VehicleInfoLayout;
